﻿@model BulkyBook.Models.ViewModel.ProductVM
<form method="post" asp-action="Upsert" enctype="multipart/form-data">
    <input hidden asp-for="Product.Id">
    <input hidden asp-for="Product.ImageUrl">

    <div class="row">
        <div class="col-10">
            <div class="border p-3 mt-4 row">
                <div class="col-12 p-2">
                    <h2 class="text-primary">@(Model.Product.Id==0?"Create":"Update") Product</h2>
                </div>

                <hr />
                @* <div asp-validation-summary="All"></div>*@

                <div class="mb-3">
                    <label asp-for="Product.Title"></label>
                    <input asp-for="Product.Title" class="form-control">
                    <span asp-validation-for="Product.Title" class="text-danger"></span>
                </div>
                <div class="mb-3">
                    <label asp-for="Product.Description"></label>
                    <textarea asp-for="Product.Description" rows="3" class="form-control"></textarea>
                    <span asp-validation-for="Product.Description" class="text-danger"></span>
                </div>
                <div class="mb-3 col-6">
                    <label asp-for="Product.ISBN"></label>
                    <input asp-for="Product.ISBN" class="form-control">
                    <span asp-validation-for="Product.ISBN" class="text-danger"></span>
                </div>
                <div class="mb-3 col-6">
                    <label asp-for="Product.Author"></label>
                    <input asp-for="Product.Author" class="form-control">
                    <span asp-validation-for="Product.Author" class="text-danger"></span>
                </div>
                <div class="mb-3 col-6">
                    <label asp-for="Product.ListPrice"></label>
                    <input asp-for="Product.ListPrice" class="form-control">
                    <span asp-validation-for="Product.ListPrice" class="text-danger"></span>
                </div>
                <div class="mb-3 col-6">
                    <label asp-for="Product.Price"></label>
                    <input asp-for="Product.Price" class="form-control">
                    <span asp-validation-for="Product.Price" class="text-danger"></span>
                </div>
                <div class="mb-3 col-6">
                    <label asp-for="Product.Price50"></label>
                    <input asp-for="Product.Price50" class="form-control">
                    <span asp-validation-for="Product.Price50" class="text-danger"></span>
                </div>
                <div class="mb-3 col-6">
                    <label asp-for="Product.Price100"></label>
                    <input asp-for="Product.Price100" class="form-control">
                    <span asp-validation-for="Product.Price100" class="text-danger"></span>
                </div>
                <div class="mb-3">
                    <label asp-for="Product.ImageUrl"></label>
                    <input type="file" id="uploadBox" name="file" class="form-control">
                </div>
                <div class="mb-3 col-6">
                    <label asp-for="Product.CategoryId"></label>
                    <select asp-for="Product.CategoryId" asp-items="@Model.CategoryList" class="form-select">
                        <option disabled selected>--Category List</option>
                    </select>
                    <span asp-validation-for="Product.CategoryId" class="text-danger"></span>
                </div>
                <div class="mb-3 col-6">
                    <label asp-for="Product.CoverTypeId"></label>
                    <select asp-for="Product.CoverTypeId" asp-items="@Model.CoverTypeList" class="form-select">
                        <option disabled selected>--CoverType List</option>
                    </select>
                    <span asp-validation-for="Product.CategoryId" class="text-danger"></span>
                </div>
                @if (Model.Product.Id != 0)
                {
                    <button type="submit" class="btn btn-primary" style="width:150px">Update</button>
                }
                else
                {
                    <button type="submit" onclick="return ValidateInput()" class="btn btn-primary" style="width:150px">Create</button>
                }

                <a asp-controller="Product" asp-action="Index" class="btn-secondary btn" style="width:150px">Back to List</a>
            </div>
        </div>
        <div class="col-2 pt-4">
            <img src="@Model.Product.ImageUrl" width="100%" style="border-radius:5px; border:1px solid #bbb9b9" />
        </div>
    </div>

</form>

@section Scripts{
    @{
    <partial name="_ValidationScriptsPartial"></partial>
    }
<script>
        function ValidateInput(){
            if(document.getElementById("uploadBox").value==""){
                Swal.fire({
      icon: 'error',
      title: 'Oops...',
      text: 'Please upload an image!',
    })
    return false;
            }
            return true;
        }
      tinymce.init({
      selector: 'textarea',
      plugins: 'a11ychecker advcode casechange export formatpainter linkchecker autolink lists checklist media mediaembed pageembed permanentpen powerpaste table advtable tinycomments tinymcespellchecker',
      toolbar: 'a11ycheck addcomment showcomments casechange checklist code export formatpainter pageembed permanentpen table',
      toolbar_mode: 'floating',
      tinycomments_mode: 'embedded',
      tinycomments_author: 'Author name',
    });
</script>
}
